# Yahoo! UI Library

### yuitest 2.8.2r1

Yahoo! UI Library > yuitest > YAHOO.tool.TestLogger
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.tool.TestLogger

Displays test execution progress and results, providing filters based on different key events.

### Constructor

YAHOO.tool.TestLogger `( element , config )`

Parameters:
  `element <HTMLElement>` (Optional) The element to create the logger in.
  `config <Object>` (Optional) Configuration options for the logger.

### Methods

#### _handleTestRunnerEvent

`private Void _handleTestRunnerEvent ( data )`
Handles all TestRunner events, outputting appropriate data into the console.

Parameters:
  `data <Object>` The event data object.

#### clearTestRunner

`static Void clearTestRunner ( )`
Clears the reference to the TestRunner from previous operations. This unsubscribes all events and removes the object reference.

#### formatMsg

`private String formatMsg ( oLogMsg )`
Formats message string to HTML for output to console.

Parameters:
  `oLogMsg <Object>` Log message object.

Returns: `String`
  HTML-formatted message for output to console.

#### setTestRunner

`static Void setTestRunner ( testRunner )`
Sets the source test runner that the logger should monitor.

Parameters:
  `testRunner <YAHOO.tool.TestRunner>` The TestRunner to observe.

Copyright © 2010 Yahoo! Inc. All rights reserved.